### Function

# Cogl program_set_uniform_1i

deprecated: 1.16 since: 13

#### Declaration [src]

    void
    cogl_program_set_uniform_1i (
      CoglHandle program,
      int uniform_location,
      int value
    )

#### Description [src]

Changes the value of an integer uniform for the given linked `program`.

Available since: 13

Deprecated since: 1.16

Use `CoglSnippet` api instead.

#### Parameters

`program`

  Type: `CoglHandle`

  A `CoglHandle` for a linked program.

`uniform_location`

  Type: `int`

  The uniform location retrieved from cogl_program_get_uniform_location().

`value`

  Type: `int`

  The new value of the uniform.